import { EditorView } from "@codemirror/view";
import { EditorState } from "@codemirror/state";
import type { Document } from "@flok-editor/session";
interface EvalBlock {
    text: string;
    from: number | null;
    to: number | null;
}
export declare function getSelection(state: EditorState): EvalBlock;
export declare function getLine(state: EditorState): EvalBlock;
export declare function getBlock(state: EditorState): EvalBlock;
export declare const evaluateBlockOrSelection: (view: EditorView, doc: Document, web?: boolean) => void;
export declare const evaluateLine: (view: EditorView, doc: Document, web?: boolean) => void;
export declare const evaluateDocument: (view: EditorView, doc: Document, web?: boolean) => void;
export declare function evalKeymap(document: Document, { defaultEvalKeys, lineEvalKeys, documentEvalKeys, defaultMode, web, }?: {
    defaultEvalKeys?: string[];
    lineEvalKeys?: string[];
    documentEvalKeys?: string[];
    defaultMode?: "block" | "document";
    web?: boolean;
}): import("@codemirror/state").Extension;
export {};
