import { ViewPlugin } from "@codemirror/view";
import { flash } from "./flashField.js";
export const remoteEvalFlash = (document) => ViewPlugin.fromClass(class {
    _handleEval;
    constructor(view) {
        this._handleEval = (msg) => {
            const { docId, from, to } = msg;
            if (docId !== document.id)
                return;
            flash(view, from, to);
        };
        document.session.on("eval", this._handleEval);
    }
    destroy() {
        document.session.off("eval", this._handleEval);
    }
});
//# sourceMappingURL=remoteEvalFlash.js.map